polybori::groebner::LessUsedTailVariablesThenLessWeightedLengthInStrat Class Reference

This class defines LessUsedTailVariablesThenLessWeightedLengthInStrat. More...

`#include <LessUsedTailVariablesThenLessWeightedLengthInStrat.h>`

## Public Member Functions

| LessUsedTailVariablesThenLessWeightedLengthInStrat (const GroebnerStrategy &strat)
bool | operator() (const Monomial &a, const Monomial &b) const

## Public Attributes

const GroebnerStrategy * | strat

## Detailed Description

This class defines LessUsedTailVariablesThenLessWeightedLengthInStrat.

## Constructor & Destructor Documentation

polybori::groebner::LessUsedTailVariablesThenLessWeightedLengthInStrat::LessUsedTailVariablesThenLessWeightedLengthInStrat | ( | const GroebnerStrategy & | strat) |  |

inline

## Member Function Documentation

bool polybori::groebner::LessUsedTailVariablesThenLessWeightedLengthInStrat::operator() | ( | const Monomial & | a,
|  | const Monomial & | b
| ) |  | const

inline

## Member Data Documentation

const GroebnerStrategy* polybori::groebner::LessUsedTailVariablesThenLessWeightedLengthInStrat::strat

The documentation for this class was generated from the following file:

- LessUsedTailVariablesThenLessWeightedLengthInStrat.h